Runtime

## org.eclipse.gmf.runtime.notation
Interface RoundedCornersStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  Connector, ConnectorStyle, RoutingStyle, Shape, ShapeStyle

All Known Implementing Classes:
  ConnectorImpl, ConnectorStyleImpl, RoundedCornersStyleImpl, RoutingStyleImpl, ShapeImpl, ShapeStyleImpl

    public interface RoundedCornersStyle

extends Style

A representation of the model object 'Rounded Corners Style'.

The following features are supported:

- `Rounded Bendpoints Radius`

Since:
  1.4
See Also:
  `NotationPackage.getRoundedCornersStyle()`
** Generated **
Model:

Method Summary
`int` `getRoundedBendpointsRadius()` Returns the value of the 'Rounded Bendpoints Radius' attribute.
`void` `setRoundedBendpointsRadius(int value)` Sets the value of the '`Rounded Bendpoints Radius`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRoundedBendpointsRadius

    int getRoundedBendpointsRadius()

  Returns the value of the 'Rounded Bendpoints Radius' attribute. The default value is `"0"`.

  If the meaning of the 'Rounded Bendpoints Radius' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rounded Bendpoints Radius' attribute.
  See Also:
    `setRoundedBendpointsRadius(int)`, `NotationPackage.getRoundedCornersStyle_RoundedBendpointsRadius()`
  ** Generated **
  Model:
    default="0"

### setRoundedBendpointsRadius

    void setRoundedBendpointsRadius(int value)

  Sets the value of the '`Rounded Bendpoints Radius`' attribute.

  Parameters:
    `value` - the new value of the 'Rounded Bendpoints Radius' attribute.
  See Also:
    `getRoundedBendpointsRadius()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.